# 数据源配置
spring:
    # redis 配置
    redis:
        # 地址
        host: localhost
        # 端口，默认为6379
        port: 6379
        # 密码
        password:
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms
        database: 1
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://139.186.77.83:3306/his?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
                username: Rtroot
                password: Rtroot
            # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: false
                url:
                username:
                password:
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter:
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username:
                login-password:
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
#润天数字
#wx:
#    miniapp:
#        configs:
#            - appid: wxf7d4bdac73bb2e3b
#              secret: b231dc5eaa9c069a207382c230691aa4
#              token: Ncbnd7lJvkripVOpyTFAna6NAWCxCrvC
#              aesKey: HlEiBB55eaWUaeBVAQO3cWKWPYv1vOVQSq7nFNICw4E
#              msgDataFormat: JSON
#    pay:
#        appId: wx45cf09091aead547 #微信公众号或者小程序等的appid
#        mchId: 1560230251 #微信支付商户号
#        mchKey: dltcx057ngdbukiuwn83621khh07ewmn #微信支付商户密钥
#        subAppId:  #服务商模式下的子商户公众账号ID
#        subMchId:  #服务商模式下的子商户号
#        keyPath: c:\\tools\\apiclient_cert.p12 # p12证书的位置，可以指定绝对路径，也可以指定类路径（以classpath:开头）
#        notifyUrl:  https://api.hospital.ifeiyu100.com/app/wxpay/wxPayNotify
#南昌
#wx:
#  miniapp:
#    configs:
#      - appid: wxa8f50f6d14b817a1
#        secret: cab200baa8abc4ad4ff071aecc76d218
#        token: Ncbnd7lJvkripVOpyTFAna6NAWCxCrvC
#        aesKey: HlEiBB55eaWUaeBVAQO3cWKWPYv1vOVQSq7nFNICw4E
#        msgDataFormat: JSON
#  pay:
#    appId: wxa8f50f6d14b817a1 #微信公众号或者小程序等的appid
#    mchId: 1625442842 #微信支付商户号
#    mchKey: 115248wefs5dfer557UI11rt56rrnbGB #微信支付商户密钥
#    subAppId:  #服务商模式下的子商户公众账号ID
#    subMchId:  #服务商模式下的子商户号
#    keyPath: c:\\tools\\apiclient_cert.p12 # p12证书的位置，可以指定绝对路径，也可以指定类路径（以classpath:开头）
#    notifyUrl:  https://syapi.qh8866.cn/app/wxpay/wxPayNotify

